//Author Serge Steer, 2006,Copyright INRIA
function showfield(x,y,z,t,tit)
  drawlater()
  a=gca();a.view='3d';a.cube_scaling='on';
  a.title.text=tit;a.title.font_size=1;
  a.margins=0.22*ones(1,4);
  param3d(x,y,z)
  a.z_label.text=' '; 
  e=gce();
  e.polyline_style = 4;
  e.arrow_size_factor = 2;
  for k=1:size(t,'*')
    xstring(x(k),y(k),'   '+string(t(k)))
    e=gce();
    e.data(3)=z(k);
  end
  drawnow()
endfunction
v2=cdfload(path+'zfia10x.cdf');
clf()
f=gcf();f.figure_size = [990,626];
f.figure_name="zfia10x.cdf";
D=cdf2date(EPOCH);
for i=1:3
 for j=1:3 
   k=1+i+3*(j-1);
   subplot(3,3,k-1)
   long=msprintf("%.2f",ZFILONG(k));
   lat=msprintf("%.2f",ZFILAT(k));
   
   showfield(ZFIBX(k,:),ZFIBY(k,:),ZFIBZ(k,:),D(:,5),ZFINAME(k)+'@(Long='+long+',Lat='+lat+')')
 end
end
