mode(-1)
//Author Serge Steer, 2006,Copyright INRIA
path=get_absolute_file_path('builder.sce')
old=pwd();
chdir(path)

files=['SciCDFRead.o';
       'SciCDFConvertEpoch.o';
       'cdfstatus.o';
       'SciCDFReadSelectedVariable.o'
       'SciCDFLoad.o';
       'SciCDFGetVariableAttributes.o';
       'SciCDFGetGlobalAttributes.o';
       'createstringvect.o'
       'CreateCDFVar.o'
       'CDF_Index.o'
       'Scilab_Index.o'
      ];

table=['cdfgetglobalattributes'     'SciCDFGetGlobalAttributes' 
       'cdfgetvariableattributes'   'SciCDFGetVariableAttributes' 
       'cdfread'                    'SciCDFRead'
       'cdf2date'                   'SciCDFConvertEpoch'
       'cdfload'                    'SciCDFLoad'];

if MSDOS then
  libs='../libcdf/dllcdf'
else
  libs='../libcdf/libcdf'
end

try
  ilib_build('libcdf',table,files,libs,'Makelib');
  if MSDOS then mputl(mgetl('loader.sce'),'winloader.sce'),end
end

chdir(old)
clear path old files  table ilib_build get_absolute_file_path
