#include <string.h>
#include "stack-c.h"
/*
 * Author 
 * S. Steer , Copyright INRIA, Marsh 2006
 */


int createstringvect(integer *lw, integer *m, integer *nchar, integer *lr)
{
  integer n=1,job=1,lw1,sz, ilast;
  char * fname="CreateStringVector";
  if (*lw > intersiz) {
    Scierror(999,"%s: (createstringvect) too many arguments in the stack  enlarge intersiz\r\n",
	     fname);
    return FALSE_ ;
  }

  Nbvars = Max(*lw,Nbvars);
  lw1 = *lw + Top - Rhs;
  if (*lw < 0) {
    Scierror(999,"%s: bad call to createstringvect! (1rst argument)\r\n",
	     fname);
    return FALSE_ ;
  }
  if ( C2F(cresmati)(fname,Lstk(lw1), m, &n, nchar, &job, lr, &sz, strlen(fname)) == FALSE_ )
    return FALSE_ ;

  ilast = *lr - 1;
  *Lstk(lw1 +1) = sadr(ilast + *istk(ilast ));

  C2F(intersci).ntypes[*lw - 1] = '$';
  C2F(intersci).iwhere[*lw - 1] = *Lstk(lw1);
  C2F(intersci).lad[*lw - 1] = *lr;
  return TRUE_;  
}
